Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XEACKey Class Reference

`#include <xeackey.h>`

List of all members.

## Public Methods
| XEACKey (QWidget *parent=0, const char *name=0)
| ~XEACKey ()
int | getXEACKeyCode ()
## Private Attributes
Window | win
Display * | display
XEvent | report
int | screen_num
char * | display_name

## Detailed Description

This class uses Xlib calls to get EAC keypresses.

Author:
  Sheldon Lee Wen

## Constructor & Destructor Documentation

XEACKey::XEACKey | ( | QWidget * | parent = 0,
|  | const char * | name = 0
| ) |

XEACKey::~XEACKey | ( |  | ) |

## Member Function Documentation

int XEACKey::getXEACKeyCode | ( |  | ) |

| Get the X keycode for an EAC key press.

## Member Data Documentation

Display* XEACKey::display`[private]`

char* XEACKey::display_name`[private]`

XEvent XEACKey::report`[private]`

int XEACKey::screen_num`[private]`

Window XEACKey::win`[private]`

The documentation for this class was generated from the following file:

- xeackey.h